# sys_thread Struct Reference

## Data Fields

sys_thread * | next
sys_timeouts | timeouts
kTask_t * | ubthread

## Detailed Description

Definition at line 121 of file sys_arch.c.

## Field Documentation

struct sys_thread* sys_thread::next

Definition at line 122 of file sys_arch.c.

Referenced by current_thread(), and sys_thread_new().

struct sys_timeouts sys_thread::timeouts

Definition at line 123 of file sys_arch.c.

Referenced by sys_arch_timeouts(), and sys_thread_new().

kTask_t* sys_thread::ubthread

Definition at line 124 of file sys_arch.c.

Referenced by current_thread(), and sys_thread_new().

The documentation for this struct was generated from the following file:

- src/sys/net/net/sys_arch.c